[**@lancedb/lancedb**](../../../README.md) • **Docs**

***

[@lancedb/lancedb](../../../globals.md) / [embedding](../README.md) / EmbeddingFunctionConfig

# Interface: EmbeddingFunctionConfig

## Properties

### function

```ts
function: EmbeddingFunction<any, FunctionOptions>;
```

***

### sourceColumn

```ts
sourceColumn: string;
```

***

### vectorColumn?

```ts
optional vectorColumn: string;
```
